<div class="main-container">
  <as-split direction="horizontal">
    <as-split-area [size]="10">
      <div class="channel_header">
        Tracks
      </div>
      <div class="content">
        <button (click)="setSelection()">Set</button>
        <div class="list">
          <div class="list-element" *ngFor="let index of allChannels">
            <label class="container">{{ names[index] }}
              <input type="checkbox" [checked]="isInSelection(index)" (click)="changeSelection(index)">
              <span class="checkmark" [ngStyle]="isInSelection(index) && {'background-color': getColor(index)} || {}"></span>
            </label>
          </div>
        </div>
      </div>
    </as-split-area>
    <as-split-area [size]="90" [style]="{'overflow-y': 'hidden'}">
      <div class="channel_header">
        Dataset overview
      </div>
      <div class="toolbar">

        <label class="small-margin" for="min">Start</label><br>
        <input type="number" class="small-margin" id="min" [(ngModel)]="minx">

        <label class="small-margin" for="max">End</label><br>
        <input type="number" class="small-margin" [(ngModel)]="maxx" id="max">

        <label class="small-margin" for="w">Window Size</label><br>
        <input type="number" class="small-margin" [(ngModel)]="windowsize" id="w">
        <button (click)="setquery()">
          Set as query
        </button>
      </div>
      <div class="overview" id="overview" (wheel)="scroll($event)">
<!--        <zingchart-angular #chart [id]="id" (wheel)="scroll($event)" [height]="height"></zingchart-angular>-->
      </div>
    </as-split-area>
  </as-split>
</div>
